#!/bin/sh

set -eu

tmpdir="$(mktemp -d)"
trap "rm -rf $tmpdir" 0

#unsquashfs -ls $1 | sort > $tmpdir/1
#unsquashfs -ls $2 | sort > $tmpdir/2
#diff -u $tmpdir/1 $tmpdir/2

unsquashfs -ll $1 | sed -r 's/(.*) ([0-9]+-[0-9]+-[0-9]+ [0-9]+:[0-9]+)(.*)/\1 \3/' |sort > $tmpdir/1
unsquashfs -ll $2 | sed -r 's/(.*) ([0-9]+-[0-9]+-[0-9]+ [0-9]+:[0-9]+)(.*)/\1 \3/' |sort > $tmpdir/2

diff --minimal -w -u1 $tmpdir/1 $tmpdir/2
